Bug 114361 - search option in "list all links" missing
Summary: search option in "list all links" missing
Status: RESOLVED FIXED
Alias: None
Product: kget
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: KGet authors
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-10-13 21:56 UTC by Ferdinand Gassauer
Modified: 2006-10-18 21:51 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ferdinand Gassauer 2005-10-13 21:56:47 UTC
Version:           unknown (using KDE 3.4.92 (beta2, >= 20051010), compiled sources)
Compiler:          gcc version 3.3.5 20050117 (prerelease) (SUSE Linux)
OS:                Linux (i686) release 2.6.11.4-21.9-smp

Hi!

Now a "select all" is available.

"list all links" on
http://www.novell.com/linux/download/linuks/i386/update_for_9_3/extra.html
comes up with a varietee of files, but only *.rpm are of interest and may be only "*3.4.3*"

IMHO a "select ..." for normal regexp would be helpful
Comment 1 Felix Berger 2005-10-14 12:37:04 UTC
If you're interested in one file type only, you can sort the listed links by their filetype.

Adding a standard search bar to the widget with the list of links should be easy and allow selection based on filename, etc.
Comment 2 Ferdinand Gassauer 2005-10-14 20:42:57 UTC
thanks

(1) I know - question of usablilty - not all people do a sort if they want a serch.

(2) standard search bar should be like in "konqueror - Edit - Select" 
are you going to implement it?
Comment 3 Carsten Pfeiffer 2006-10-18 21:51:39 UTC
SVN commit 596874 by pfeiffer:

trivial patch to add a KListViewSearchLine to the KGet "List all links" view
BUG: 114361


 M  +11 -2     kget_linkview.cpp  


--- branches/KDE/3.5/kdenetwork/kget/kget_plug_in/kget_linkview.cpp #596873:596874
@@ -1,9 +1,12 @@
 #include "kget_linkview.h"
 
+#include <qlayout.h>
+
 #include <dcopclient.h>
 #include <kaction.h>
 #include <kapplication.h>
 #include <kiconloader.h>
+#include <klistviewsearchline.h>
 #include <klocale.h>
 #include <kmessagebox.h>
 #include <kprocess.h>
@@ -52,7 +55,11 @@
     toolBar()->insertLineSeparator();
     actionSelectAll->plug( toolBar() );
 
-    m_view = new KListView( this, "listview" );
+    QWidget *mainWidget = new QWidget( this );
+    QVBoxLayout *layout = new QVBoxLayout( mainWidget );
+    setCentralWidget( mainWidget );
+
+    m_view = new KListView( mainWidget, "listview" );
     m_view->setSelectionMode( QListView::Extended );
     m_view->addColumn( i18n("File Name") );
     m_view->addColumn( i18n("Description") );
@@ -60,7 +67,9 @@
     m_view->addColumn( i18n("Location (URL)") );
     m_view->setShowSortIndicator( true );
 
-    setCentralWidget( m_view );
+    KListViewSearchLineWidget *line = new KListViewSearchLineWidget( m_view, mainWidget, "search line" );
+    layout->addWidget( line );
+    layout->addWidget( m_view );
 
     // setting a fixed (not floating) toolbar
     toolBar()->setMovingEnabled( false );